> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet history

> Get Wallet History

**Limit: 10 requests per 60 seconds**\
Get your unique deposit address by token

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                "createdTime": "1579399877.041", // Unix epoch time in seconds
                "updatedTime": "1579399877.041", // Unix epoch time in seconds
                "id": "202029292829292",
                "externalId": "202029292829292",
                "applicationId": null,
                "token": "ETH",
                "targetAddress": "0x31d64B3230f8baDD91dE1710A65DF536aF8f7cDa",
                "sourceAddress": "0x70fd25717f769c7f9a46b319f0f9103c0d887af0",
                "confirmingThreshold":12,
                "confirmedNumber":12,
                "extra": "",
                "type": "BALANCE",
                "tokenSide": "DEPOSIT",
                "amount": "1000",
                "txId": "0x8a74c517bc104c8ebad0c3c3f64b1f302ed5f8bca598ae4459c63419038106b6",
                "feeToken": null,
                "feeAmount": null,
                "status": "CONFIRMING"
            }
              ...
          ],
          "meta": {
              "total": 46,
              "recordsPerPage": 1,
              "currentPage": 1
          }
      },
      "timestamp": 1690192103430
  }


  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/asset/wallet/history
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/asset/wallet/history:
    get:
      description: Get Wallet History
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: id
          in: query
          description: >-
            use when query specific transaction id (the result of withdrawal or
            internal transfer.)
          required: false
          explode: true
          schema:
            type: string
        - name: network
          in: query
          description: network name you want to search (from /v1/public/token)
          required: false
          explode: true
          schema:
            type: string
        - name: token
          in: query
          description: 'token name you want to search '
          required: false
          explode: true
          schema:
            type: string
        - name: type
          in: query
          description: BALANCE/COLLATERAL
          required: false
          explode: true
          schema:
            type: string
        - name: tokenSide
          in: query
          description: DEPOSIT/WITHDRAW
          required: false
          explode: true
          schema:
            type: string
        - name: status
          in: query
          description: NEW/CONFIRMING/PROCESSING/COMPLETED/CANCELED
          required: false
          explode: true
          schema:
            type: string
        - $ref: '#/components/parameters/start_filter'
        - $ref: '#/components/parameters/end_filter'
        - $ref: '#/components/parameters/page_filter'
        - $ref: '#/components/parameters/size_filter'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletHistoryResponse'
      security: []
components:
  parameters:
    start_filter:
      name: startTime
      in: query
      description: start www time in unix timestamp
      required: false
      explode: true
      schema:
        type: integer
    end_filter:
      name: endTime
      in: query
      description: end time in unix timestamp
      required: false
      explode: true
      schema:
        type: integer
    page_filter:
      name: page
      in: query
      description: the page you wish to query.
      required: false
      explode: true
      schema:
        type: integer
        default: 1
    size_filter:
      name: size
      in: query
      description: the page size you wish to query, default = 25, 1000 at max.
      required: false
      explode: true
      schema:
        type: integer
        default: 25
  schemas:
    WalletHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      createdTime:
                        type: string
                        description: >-
                          The time the transaction was created, in Unix epoch
                          time (seconds).
                      updatedTime:
                        type: string
                        description: >-
                          The time the transaction was last updated, in Unix
                          epoch time (seconds).
                      id:
                        type: string
                        description: The unique identifier for the transaction.
                      externalId:
                        type: string
                        description: >-
                          The external identifier for the transaction, if
                          applicable.
                      applicationId:
                        type: string
                        description: >-
                          The application ID related to the transaction, or null
                          if not applicable.
                      token:
                        type: string
                        description: >-
                          The token symbol involved in the transaction, e.g.,
                          'ETH'.
                      targetAddress:
                        type: string
                        description: The target blockchain address for the transaction.
                      sourceAddress:
                        type: string
                        description: The source blockchain address for the transaction.
                      confirmingThreshold:
                        type: integer
                        description: >-
                          The number of confirmations required for the
                          transaction to be considered confirmed.
                      confirmedNumber:
                        type: integer
                        description: >-
                          The current number of confirmations received for the
                          transaction.
                      extra:
                        type: string
                        description: Additional information about the transaction, if any.
                      type:
                        type: string
                        description: The transaction type, e.g., 'BALANCE'.
                        enum:
                          - BALANCE
                          - TRANSFER
                          - TRADE
                          - FEE
                          - OTHER
                      tokenSide:
                        type: string
                        description: >-
                          The token side for the transaction, e.g., 'DEPOSIT' or
                          'WITHDRAWAL'.
                        enum:
                          - DEPOSIT
                          - WITHDRAWAL
                      amount:
                        type: string
                        description: The amount of the token involved in the transaction.
                      txId:
                        type: string
                        description: The blockchain transaction ID.
                      feeToken:
                        type: string
                        description: >-
                          The token used to pay transaction fees, or null if not
                          applicable.
                      feeAmount:
                        type: string
                        description: >-
                          The amount of fees paid for the transaction, or null
                          if not applicable.
                      status:
                        type: string
                        description: >-
                          The current status of the transaction, e.g.,
                          'CONFIRMING', 'SUCCEEDED', or 'FAILED'.
                        enum:
                          - CONFIRMING
                          - SUCCEEDED
                          - FAILED
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````